Get Live Traces
curl --request GET \
--url https://engine-api.unomiq.com/traces/live \
--header 'Authorization: Bearer <token>' \
--header 'X-Unomiq-App-Id: <x-unomiq-app-id>'import requests
url = "https://engine-api.unomiq.com/traces/live"
headers = {
"X-Unomiq-App-Id": "<x-unomiq-app-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Unomiq-App-Id': '<x-unomiq-app-id>', Authorization: 'Bearer <token>'}
};
fetch('https://engine-api.unomiq.com/traces/live', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"trace_id": "<string>",
"span_id": "<string>",
"span_name": "<string>",
"span_kind": "<string>",
"span_start_time_unix_nano": 123,
"span_end_time_unix_nano": 123,
"parent_span_id": "<string>",
"service_name": "<string>",
"resource_attributes": null,
"span_attributes": null
}
],
"pagination": {
"page": 123,
"limit": 123,
"total": 123
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Traces
Get Live Traces
Get spans from the live streaming endpoint.
Retrieves a paginated list of the most recent spans for an application from the live data stream.
Requires a valid JWT token with the read:traces permission.
Returns: Paginated list of trace details
GET
/
traces
/
live
Get Live Traces
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Query Parameters
Start datetime (inclusive)
Example:
"2025-01-15T00:00:00Z"
End datetime (exclusive)
Example:
"2025-01-16T00:00:00Z"
Page number for pagination (1-indexed)
Required range:
x >= 1Number of items per page
Required range:
1 <= x <= 100